Package fr.gouv.vitam.storage.offers.tape.cas

# Class FileBucketTarCreator

java.lang.Object
fr.gouv.vitam.storage.offers.tape.inmemoryqueue.QueueProcessor<TarCreatorMessage>
fr.gouv.vitam.storage.offers.tape.cas.FileBucketTarCreator

public class FileBucketTarCreator extends QueueProcessor<TarCreatorMessage>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileBucketTarCreator(BasicFileStorage basicFileStorage, ObjectReferentialRepository objectReferentialRepository, ArchiveReferentialRepository archiveReferentialRepository, WriteOrderCreator writeOrderCreator, String bucketId, String fileBucketId, int tarBufferingTimeout, TimeUnit tarBufferingTimeUnit, String inputTarStorageFolder, long maxTarEntrySize, long maxTarFileSize)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addToQueue(TarCreatorMessage message)`
  `boolean`
  `containsTar(String tarId)`
  `protected void`
  `processMessage(TarCreatorMessage message)`
  `Optional<FileInputStream>`
  `tryReadTar(String tarId)`

  ### Methods inherited from class fr.gouv.vitam.storage.offers.tape.inmemoryqueue.QueueProcessor

  `addFirst, startListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FileBucketTarCreator

    public FileBucketTarCreator(BasicFileStorage basicFileStorage, ObjectReferentialRepository objectReferentialRepository, ArchiveReferentialRepository archiveReferentialRepository, WriteOrderCreator writeOrderCreator, String bucketId, String fileBucketId, int tarBufferingTimeout, TimeUnit tarBufferingTimeUnit, String inputTarStorageFolder, long maxTarEntrySize, long maxTarFileSize)

- ## Method Details

  - ### processMessage

    protected void processMessage(TarCreatorMessage message) throws QueueProcessingException
    Specified by:
      `processMessage` in class `QueueProcessor<TarCreatorMessage>`
    Throws:
      `QueueProcessingException`

  - ### containsTar

    public boolean containsTar(String tarId)

  - ### tryReadTar

    public Optional<FileInputStream> tryReadTar(String tarId)

  - ### addToQueue

    public void addToQueue(TarCreatorMessage message)
    Overrides:
      `addToQueue` in class `QueueProcessor<TarCreatorMessage>`